Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 566624 - media-gfx/digikam-4.14.0 with media-libs/lensfun-0.3.2 fails to build - /usr/include/lensfun/lensfun.h:2506:5: error: template with C linkage
Summary: media-gfx/digikam-4.14.0 with media-libs/lensfun-0.3.2 fails to build - /usr/...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: AMD64 Linux
: Normal normal with 1 vote (vote)
Assignee: Andreas K. Hüttel
URL:
Whiteboard:
Keywords: PATCH
Depends on:
Blocks: 566918
  Show dependency tree
 
Reported: 2015-11-23 13:41 UTC by DrSlony
Modified: 2015-12-29 16:02 UTC (History)
26 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge --info (emerge_info.txt,6.01 KB, text/plain)
2015-11-23 13:41 UTC, DrSlony
Details
complete build log (build.tar.bz2,69.97 KB, application/x-bzip)
2015-11-23 13:44 UTC, DrSlony
Details

Note You need to log in before you can comment on or make changes to this bug.
Description DrSlony 2015-11-23 13:41:22 UTC
Created attachment 417656 [details]
emerge --info

Updating world resulted in media-libs/lensfun-0.3.2 being successfully installed, and emerge @preserved-rebuild wants to rebuild media-gfx/digikam-4.14.0, but compilation fails with:
/usr/include/lensfun/lensfun.h:2506:5: error: template with C linkage
     template<typename T> static void ModifyColor_Vignetting_PA (
     ^

emerge -pqv '=media-gfx/digikam-4.14.0::gentoo'
[ebuild   R   ] media-gfx/digikam-4.14.0 [4.14.0] USE="mysql thumbnails -addressbook (-aqua) -debug -doc -gphoto2 -handbook -semantic-desktop -video" LINGUAS="-af -ar -az -be -bg -bn -br -bs -ca -cs -csb -cy -da -de -el -en_GB -eo -es -et -eu -fa -fi -fo -fr -fy -ga -gl -ha -he -hi -hr -hsb -hu -id -is -it -ja -ka -kk -km -ko -ku -lb -lo -lt -lv -mi -mk -mn -ms -mt -nb -nds -ne -nl -nn -nso -oc -pa -pl -pt -pt_BR -ro -ru -rw -se -sk -sl -sq -sr -sr@Latn -ss -sv -ta -te -tg -th -tr -tt -uk -uz -uz@cyrillic -ven -vi -wa -xh -zh_CN -zh_HK -zh_TW -zu"

Log follows.
Comment 1 DrSlony 2015-11-23 13:44:17 UTC
Created attachment 417658 [details]
complete build log
Comment 2 edes 2015-11-24 02:20:23 UTC
same here.
Comment 3 Dennis Schridde 2015-11-24 08:30:54 UTC
# emerge --info lensfun digikam
Portage 2.2.25 (python 3.4.3-final-0, default/linux/amd64/13.0/desktop/plasma/systemd, gcc-4.9.3, glibc-2.22-r1, 4.3.0-gentoo x86_64)
=================================================================
                         System Settings
=================================================================
System uname: Linux-4.3.0-gentoo-x86_64-AMD_A10-7800_Radeon_R7,_12_Compute_Cores_4C+8G-with-gentoo-2.2
KiB Mem:    15381504 total,   9459340 free
KiB Swap:          0 total,         0 free
Timestamp of repository gentoo: Tue, 24 Nov 2015 06:45:01 +0000
sh bash 4.3_p42
ld GNU ld (Gentoo 2.25 p1.2) 2.25
ccache version 3.2.4 [disabled]
app-shells/bash:          4.3_p42::gentoo
dev-java/java-config:     2.2.0::gentoo
dev-lang/perl:            5.22.0::gentoo
dev-lang/python:          2.7.10-r3::gentoo, 3.4.3-r2::gentoo
dev-util/ccache:          3.2.4::gentoo
dev-util/cmake:           3.4.0-r1::gentoo
dev-util/pkgconfig:       0.29::gentoo
sys-apps/baselayout:      2.2::gentoo
sys-apps/sandbox:         2.9::gentoo
sys-devel/autoconf:       2.13::gentoo, 2.69-r1::gentoo
sys-devel/automake:       1.11.6-r1::gentoo, 1.12.6::gentoo, 1.13.4::gentoo, 1.14.1::gentoo, 1.15::gentoo
sys-devel/binutils:       2.25-r1::gentoo
sys-devel/gcc:            4.9.3::gentoo
sys-devel/gcc-config:     1.8-r1::gentoo
sys-devel/libtool:        2.4.6-r1::gentoo
sys-devel/make:           4.1-r1::gentoo
sys-kernel/linux-headers: 4.3::gentoo (virtual/os-headers)
sys-libs/glibc:           2.22-r1::gentoo
Repositories:

gentoo
    location: /var/cache/portage/gentoo
    sync-type: rsync
    sync-uri: rsync://rsync.de.gentoo.org/gentoo-portage
    priority: -1000

aegypius
    location: /var/lib/layman/aegypius
    sync-type: laymansync
    sync-uri: git://github.com/aegypius/overlay.git
    masters: gentoo
    priority: 50

kde
    location: /var/lib/layman/kde
    sync-type: laymansync
    sync-uri: git://anongit.gentoo.org/proj/kde.git
    masters: gentoo
    priority: 50

rust
    location: /var/lib/layman/rust
    sync-type: laymansync
    sync-uri: git://github.com/gentoo/gentoo-rust.git
    masters: gentoo
    priority: 50

sage-on-gentoo
    location: /var/lib/layman/sage-on-gentoo
    sync-type: laymansync
    sync-uri: git://github.com/cschwan/sage-on-gentoo.git
    masters: gentoo science
    priority: 50

science
    location: /var/lib/layman/science
    sync-type: laymansync
    sync-uri: git://anongit.gentoo.org/proj/sci.git
    masters: gentoo
    priority: 50

local
    location: /var/cache/portage/local
    masters: gentoo
    priority: 100

ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-pipe -O2 -march=bdver3"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/lib64/libreoffice/program/sofficerc /usr/share/config /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.6/ext-active/ /etc/php/cgi-php5.6/ext-active/ /etc/php/cli-php5.6/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-pipe -O2 -march=bdver3"
DISTDIR="/var/cache/portage/distfiles"
EMERGE_DEFAULT_OPTS="--keep-going --nospinner"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs buildsyspkg compressdebug config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch parallel-install preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://ftp.spline.inf.fu-berlin.de/mirrors/gentoo/ http://ftp-stud.hs-esslingen.de/pub/Mirrors/gentoo/ http://distfiles.gentoo.org"
LANG="en_GB.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed -Wl,--hash-style=gnu"
MAKEOPTS="-j3"
PKGDIR="/var/cache/portage/packages"
PORTAGE_COMPRESS="xz"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
USE="X a52 aac aacplus aacs acl acpi alsa amd64 appindicator audit avahi bash-completion bdplus berkdb bluetooth bluray branding bzip2 cairo caps cdda cddb cdio cdr celt cjk cli conntrack cracklib crypt cups cxx dbus declarative dirac dri dts dvb dvd dvdr egl emboss encode exif fam fax ffmpeg firefox flac fontconfig fortran gdbm gif glamor gles gles2 gmp gpm gstreamer gtk ibus iconv ipv6 jpeg jpeg2k kde kipi ladspa latex lcms ldap libinput libnotify libproxy libsecret lua_target_lua5-2 lv2 lz4 lzma lzo mad mmx mmxext mng modemmanager modplug modules mp3 mp4 mpeg mplayer mtp multilib multitarget mysql ncurses netlink networkmanager nls nptl ogg openal opencl openexr opengl openmax openmp opus pam pango pch pcre pdf phonon plasma png policykit ppds pulseaudio qml qt3support qt4 qt5 readline rtmp samba scanner schroedinger sctp sdl seccomp semantic-desktop session speex spell sse sse2 ssl startup-notification subversion svg systemd tcpd theora threads tiff truetype udev udisks unicode upnp upnp-av upower usb v4l vaapi vdpau vorbis vpx wavpack wayland webp widgets x264 x265 xattr xcb xcomposite xinerama xml xrandr xscreensaver xv xvid xz zeroconf zlib" ABI_X86="64" ALSA_CARDS="hda-intel" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="stage words flow sheets gemini" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="3dnow 3dnowext mmx mmxext sse sse2 sse3 ssse3 sse4 sse4a sse4_1 sse4_2" DRACUT_MODULES="btrfs caps systemd" ELIBC="glibc" ENLIGHTENMENT_MODULES="*" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" GRUB_PLATFORMS="coreboot efi-64 pc" INPUT_DEVICES="evdev joystick" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="de en en_GB ar fa" LIRC_DEVICES="devinput" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-5" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_4" RUBY_TARGETS="ruby20 ruby21" USERLAND="GNU" VIDEO_CARDS="amdgpu radeon radeonsi" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON

=================================================================
                        Package Settings
=================================================================

media-libs/lensfun-0.3.2::gentoo was built with the following:
USE="-doc -test" ABI_X86="64" CPU_FLAGS_X86="sse sse2" PYTHON_SINGLE_TARGET="python3_4 -python3_3 -python3_5" PYTHON_TARGETS="python3_4 -python3_3 -python3_5"


media-gfx/digikam-4.14.0::gentoo was built with the following:
USE="addressbook gphoto2 handbook mysql semantic-desktop thumbnails video (-aqua) -debug -doc" ABI_X86="64" LINGUAS="ar de en_GB fa -af -az -be -bg -bn -br -bs -ca -cs -csb -cy -da -el -eo -es -et -eu -fi -fo -fr -fy -ga -gl -ha -he -hi -hr -hsb -hu -id -is -it -ja -ka -kk -km -ko -ku -lb -lo -lt -lv -mi -mk -mn -ms -mt -nb -nds -ne -nl -nn -nso -oc -pa -pl -pt -pt_BR -ro -ru -rw -se -sk -sl -sq -sr -sr@Latn -ss -sv -ta -te -tg -th -tr -tt -uk -uz -uz@cyrillic -ven -vi -wa -xh -zh_CN -zh_HK -zh_TW -zu"
CFLAGS="-pipe -O2 -march=bdver3 -g"
CXXFLAGS="-pipe -O2 -march=bdver3 -g"
Comment 4 Juergen Rose 2015-11-24 09:56:27 UTC
I have the same issue.
Comment 5 urcindalo 2015-11-24 10:21:55 UTC
Another "same here"...
Comment 6 Jouni Rinne 2015-11-24 16:51:03 UTC
YASH (Yet Another Same Here)
Comment 7 Andreas K. Hüttel archtester gentoo-dev 2015-11-24 19:40:38 UTC
So could all the "same here"'s please add their emerge --info to the bug?! :)
Comment 8 Andreas K. Hüttel archtester gentoo-dev 2015-11-24 19:41:08 UTC
So could all the "same here"'s please add their emerge --info to the bug?! :)
Comment 9 urcindalo 2015-11-24 19:47:36 UTC
Here is mine:
=====
$ sudo emerge --info
Portage 2.2.20.1 (python 2.7.10-final-0, default/linux/amd64/13.0/desktop/kde, gcc-4.9.3, glibc-2.21-r1, 4.1.12-gentoo x86_64)
=================================================================
System uname: Linux-4.1.12-gentoo-x86_64-Intel-R-_Core-TM-2_Quad_CPU_Q8300_@_2.50GHz-with-gentoo-2.2
KiB Mem:     4044552 total,   1659884 free
KiB Swap:    6291452 total,   4823636 free
Timestamp of repository gentoo: Tue, 24 Nov 2015 09:30:01 +0000
sh bash 4.3_p39
ld GNU ld (Gentoo 2.25.1 p1.1) 2.25.1
app-shells/bash:          4.3_p39::gentoo
dev-java/java-config:     2.2.0::gentoo
dev-lang/perl:            5.20.2::gentoo
dev-lang/python:          2.7.10-r1::gentoo, 3.4.3::gentoo
dev-util/cmake:           3.3.1-r1::gentoo
dev-util/pkgconfig:       0.28-r2::gentoo
sys-apps/baselayout:      2.2::gentoo
sys-apps/openrc:          0.17::gentoo
sys-apps/sandbox:         2.6-r1::gentoo
sys-devel/autoconf:       2.13::gentoo, 2.69::gentoo
sys-devel/automake:       1.11.6-r1::gentoo, 1.13.4::gentoo, 1.14.1::gentoo, 1.15::gentoo
sys-devel/binutils:       2.25.1-r1::gentoo
sys-devel/gcc:            4.9.3::gentoo
sys-devel/gcc-config:     1.7.3::gentoo
sys-devel/libtool:        2.4.6::gentoo
sys-devel/make:           4.1-r1::gentoo
sys-kernel/linux-headers: 3.18::gentoo (virtual/os-headers)
sys-libs/glibc:           2.21-r1::gentoo
Repositories:

science
    location: /var/lib/layman/science
    masters: gentoo
    priority: 0

sunrise
    location: /var/lib/layman/sunrise
    masters: gentoo
    priority: 1

vmware
    location: /var/lib/layman/vmware
    masters: gentoo
    priority: 2

torbrowser
    location: /var/lib/layman/torbrowser
    masters: gentoo
    priority: 3

local
    location: /usr/portage/local
    masters: gentoo
    priority: 4

gentoo
    location: /usr/portage
    sync-type: rsync
    sync-uri: rsync://rsync.gentoo.org/gentoo-portage
    priority: 5

ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/lib64/libreoffice/program/sofficerc /usr/share/config /usr/share/gnupg/qualified.txt /usr/share/themes/oxygen-gtk/gtk-2.0 /var/lib/hsqldb /var/spool/torque"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-march=native -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
EMERGE_DEFAULT_OPTS="--with-bdeps y"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LANG="es_ES.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j5"
PKGDIR="/home/ramiro/usr/local/portage/pkgdir-backup/"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
USE="X a52 aac aalib accessibility acl acpi additions adns ads alsa amd64 apache2 apbs apm apng archive arpack attica audiofile auth authfile autoipd autoreplace autotrace bash-completion bcmath bdf berkdb binary-drivers blas branding bzip2 cairo caps cdda cddb cdparanoia cdr cdrom cg chm chroot clamav cli compat consolekit contactnotes context cracklib crypt css ctype cups curl curlwrappers custom-optimization cxx dbus declarative designer-plugin desktopglobe detex dga dia directfb djvu dri dts dvd dvdr dvi dvipdfm emboss emf emovix enca encode exif expoblending extensions extra fam fastcgi fat fbcon ffmpeg fftw firefox flac flatfile flickr fontconfig foomaticdb fortran fpx ftp fuse gallium gd gdbm geoip geolocation gif gimp git glamor glew gmp gphoto2 gpm gps gpssync grammar graphics graphviz grub gsl gstreamer gtk gzip hddtemp hdri hfs history hpcups hpijs hpn humanities icedtea7 iconv icu id3tag idn ieee1394 imagemagick imap imlib inifile inkjar ipv6 jack jadetex java java6 javascript jbig jce jfs jpeg jpeg2k json justify kde kipi ladspa lame lapack latex lcms ldap lensfun libcaca libnotify libsecret libssh2 libwww live llvm llvm-shared-libs lm_sensors logrotate lqr lua lzo m17n-lib mad maildir math matroska mbox md5sum mdb mediawiki memlimit metis milter mime mjpeg mmap mmx mmxext mng mobi modplug modules mono motif mozilla mp3 mp4 mpeg mpi mplayer msms msn mtp multilib multiuser musepack music musicbrainz nas ncurses neXt net netboot network network-cron networking networkmanager new-login nis nls npp nptl nsplugin ntfs ntfsprogs numpy ofx ogg omega openal openbabel opencl openexr opengl openmax openmp openssl opensslcrypt openvg osc ots pam pango panorama parse-clocks pcntl pcre pdf phonon plasma plotutils plugins png policykit portaudio posix postproc postscript povray ppds profile pstricks publishers qalculate qt3support qt4 quicktime qwt rar raw rdesktop readline redeyes reiserfs resolvconf rss rtc rtf rtsp ruby samba sasl scanner science sdk sdl sdl-image seccomp semantic-desktop sensord session shout simplexml skey skins slang slp smp snmp soap sockets socks5 solver source sox speex spell sse sse2 sse3 sse4 sse41 sse4_1 ssl ssse3 startup-notification subtitles subversion svg swat sync-plugin-portage syslog sysvipc szip t1lib taglib tcl tcpd tex4ht tga theora thesaurus threads thumbnail thunderbird tidy tiff tk truetype twolame udev udisks unicode upower usb userlocales v4l vaapi vcd vcdx vdpau vlm vmd vnc vorbis wavpack wddx webdav webstart winbind winpopup wmf wxwidgets x264 xa xanim xattr xcb xcomposite xetex xface xforms xfs xft xindy xine xinerama xls xml xmlreader xmlrpc xmlwriter xmp xorgmodule xplanet xpm xscreensaver xsl xv xvid xvmc zip zlib zoran" ABI_X86="64 32" ALSA_CARDS="hda-intel" APACHE2_MODULES="actions alias auth_basic auth_digest authn_anon authn_dbd authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock dbd deflate dir disk_cache env expires ext_filter file_cache filter headers ident imagemap include info log_config logio mem_cache mime mime_magic negotiation proxy proxy_ajp proxy_balancer proxy_connect proxy_http rewrite setenvif so speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="mmx mmxext sse sse2 sse3 sse4_1 ssse3" ELIBC="glibc" FOO2ZJS_DEVICES="hp1000" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="es_ES es en_US en" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-5" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_4" RUBY_TARGETS="ruby20 ruby21" SANE_BACKENDS="epson2 hp samsung" USERLAND="GNU" VIDEO_CARDS="nouveau" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON
Comment 10 jms 2015-11-24 20:53:25 UTC
emerge --info lensfun digikam
Portage 2.2.25 (python 3.4.3-final-0, default/linux/amd64/13.0/desktop/kde, gcc-4.9.3, glibc-2.21-r1, 4.2.6-gentoo-jms-002 x86_64)
=================================================================
                         System Settings
=================================================================
System uname: Linux-4.2.6-gentoo-jms-002-x86_64-Intel-R-_Core-TM-_i5-3210M_CPU_@_2.50GHz-with-gentoo-2.2
KiB Mem:     3544440 total,     67804 free
KiB Swap:    8396796 total,   6123340 free
Timestamp of repository gentoo: Tue, 24 Nov 2015 17:15:01 +0000
sh bash 4.3_p42
ld GNU ld (Gentoo 2.25.1 p1.1) 2.25.1
app-shells/bash:          4.3_p42::gentoo
dev-java/java-config:     2.2.0::gentoo
dev-lang/perl:            5.20.2::gentoo
dev-lang/python:          2.7.10-r1::gentoo, 3.4.3::gentoo
dev-util/cmake:           3.4.0-r1::gentoo
dev-util/pkgconfig:       0.28-r2::gentoo
sys-apps/baselayout:      2.2::gentoo
sys-apps/openrc:          0.17::gentoo
sys-apps/sandbox:         2.6-r1::gentoo
sys-devel/autoconf:       2.13::gentoo, 2.69::gentoo
sys-devel/automake:       1.11.6-r1::gentoo, 1.13.4::gentoo, 1.14.1::gentoo, 1.15::gentoo
sys-devel/binutils:       2.25.1-r1::gentoo
sys-devel/gcc:            4.9.3::gentoo
sys-devel/gcc-config:     1.7.3::gentoo
sys-devel/libtool:        2.4.6::gentoo
sys-devel/make:           4.1-r1::gentoo
sys-kernel/linux-headers: 3.18::gentoo (virtual/os-headers)
sys-libs/glibc:           2.21-r1::gentoo
Repositories:

gentoo
    location: /portage
    sync-type: rsync
    sync-uri: rsync://rsync.fr.gentoo.org/gentoo-portage
    priority: -1000

gamerlay
    location: /var/lib/layman/gamerlay
    masters: gentoo
    priority: 0

x-portage
    location: /usr/local/portage
    masters: gentoo
    priority: 1

ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -O2 -pipe "
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/lib64/libreoffice/program/sofficerc /usr/share/config /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.4/ext-active/ /etc/php/apache2-php5.5/ext-active/ /etc/php/apache2-php5.6/ext-active/ /etc/php/cgi-php5.4/ext-active/ /etc/php/cgi-php5.5/ext-active/ /etc/php/cgi-php5.6/ext-active/ /etc/php/cli-php5.4/ext-active/ /etc/php/cli-php5.5/ext-active/ /etc/php/cli-php5.6/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-march=native -O2 -pipe "
DISTDIR="/portage/distfiles"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs clean-logs collision-protect config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://91.121.124.139/gentoo-distfiles/ http://91.121.125.139/gentoo-distfiles/ ftp://ftp.swin.edu.au/gentoo  ftp://gentoo.mirrors.ovh.net/gentoo-distfiles/"
LANG="en_GB.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j4"
PKGDIR="/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
USE="X a52 aac aalib acl acpi alsa amd64 ao avahi bash-completion berkdb bindist bluetooth branding bzip2 cairo cdaudio cdda cddb cdparanoia cdr cjk cli consolekit cracklib crypt css cups cxx dbus declarative dhcpcd dri dts dv dvb dvd dvdnav dvdr emboss encode evdev exif ffmpeg firefox flac fontconfig fortran gd gdbm gif glamor gpm gstreamer gtk gzip iconv icu imap inotify ipv6 jpeg jpeg2k kde kipi laptop lcms ldap libkms libnotify lzma lzo mad maildir matroska memlimit mhash mikmod mime mmap mmx mmxext mng mod modules motif mp3 mp4 mpeg mtp multilib mysql ncurse ncurses networkmanager nls nptl ogg openal opengl openmp oss pam pango pcmcia pcre pdf phonon plasma png policykit ppds pulseaudio qt3support qt4 quicktime raw readline resolvconf scanner sdl seccomp semantic-desktop sematic-deskyop session smp solid spell sse sse2 ssl startup-notification svg syslog taglib tcpd theora thumbnail tidy tiff truetype udev udisks unicode upower usb utf8 v4l v4l2 vaapi vcd vdpau video vim-syntax vorbis wifi win32codecs wxwidgets x x264 xattr xcb xcomposit xcomposite xine xinerama xml xosd xpm xscreensaver xulrunner xv xvid xvmc zip zlib" ABI_X86="64 32" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="aes avx mmx mmxext popcnt sse sse2 sse3 sse4_1 sse4_2 ssse3" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" GRUB_PLATFORMS="efi-64" INPUT_DEVICES="evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="en_GB en es fr en" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-4 php5-5" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_4" RUBY_TARGETS="ruby20 ruby21" USERLAND="GNU" VIDEO_CARDS="intel i965 nvidia modesetting" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON

=================================================================
                        Package Settings
=================================================================

media-libs/lensfun-0.3.2::gentoo was built with the following:
USE="-doc -test" ABI_X86="64" CPU_FLAGS_X86="sse sse2" PYTHON_SINGLE_TARGET="python3_4 -python3_3 -python3_5" PYTHON_TARGETS="python3_4 -python3_3 -python3_5"


media-gfx/digikam-4.14.0::gentoo was built with the following:
USE="addressbook gphoto2 handbook mysql semantic-desktop thumbnails video (-aqua) -debug -doc" ABI_X86="64" LINGUAS="en_GB es fr -af -ar -az -be -bg -bn -br -bs -ca -cs -csb -cy -da -de -el -eo -et -eu -fa -fi -fo -fy -ga -gl -ha -he -hi -hr -hsb -hu -id -is -it -ja -ka -kk -km -ko -ku -lb -lo -lt -lv -mi -mk -mn -ms -mt -nb -nds -ne -nl -nn -nso -oc -pa -pl -pt -pt_BR -ro -ru -rw -se -sk -sl -sq -sr -sr@Latn -ss -sv -ta -te -tg -th -tr -tt -uk -uz -uz@cyrillic -ven -vi -wa -xh -zh_CN -zh_HK -zh_TW -zu"
Comment 11 Jakob Kummerow 2015-11-24 22:42:39 UTC
The problem is a nested 'extern "C" {...}' block, which digikam's lensfuniface.h puts around the lensfun.h #include, which in turns wraps its own content in another such block.

This digikam patch fixes it:

diff --git a/core/libs/dimg/filters/lens/lensfuniface.h b/core/libs/dimg/filters/lens/lensfuniface.h
index ad137ff..d9b9c80 100644
--- a/core/libs/dimg/filters/lens/lensfuniface.h
+++ b/core/libs/dimg/filters/lens/lensfuniface.h
@@ -24,10 +24,7 @@
 
 // Lib LensFun includes
 
-extern "C"
-{
 #include <lensfun.h>
-}
 
 // local includes
Comment 12 Markus Oehme 2015-11-24 23:03:40 UTC
(In reply to Jakob Kummerow from comment #11)
> This digikam patch fixes it

This worked for me on hardened ~amd64 with gcc-5.2.0.
Comment 13 DrSlony 2015-11-25 08:16:35 UTC
I confirm the above patch works for me too.
Comment 14 Jouni Rinne 2015-11-25 17:51:10 UTC
YAWFM (Yet Another Works For Me)
Comment 15 Juergen Rose 2015-11-26 08:35:12 UTC
The patch works for me too.
Comment 16 Andreas Prieß 2015-11-26 10:05:31 UTC
The problem also occurs with the current stable version media-gfx/digikam-4.4.0-r1 and media-libs/lensfun-0.3.2 - so the stable version should be fixed too!
Comment 17 Jaak Ristioja 2015-11-26 11:30:33 UTC
Patch works for me too. Why is this bug still UNCONFIRMED? :P
Comment 18 Dennis Schridde 2015-11-26 12:19:00 UTC
(In reply to Jaak Ristioja from comment #17)
> Patch works for me too. Why is this bug still UNCONFIRMED? :P

Because no one set Keywords+=PATCH.
Comment 19 DrSlony 2015-12-07 19:06:38 UTC
"Because no one set Keywords+=PATCH."
I don't know what that means, but if you point me to docs then maybe I can do it? This is taking way longer than it should.
Comment 20 jms 2015-12-10 12:01:22 UTC
could this have something to do with the fact that
media-libs/lensfun-0.3.2 does not have 
 PYTHON_TARGETS python2_7 
?
Comment 21 Juergen Rose 2015-12-17 23:38:46 UTC
I hit the issue on the next system. Why is the patch not added to the default portage tree?
Comment 22 Michael Palimaka (kensington) gentoo-dev 2015-12-29 16:02:46 UTC
Thanks, fixed in git by Andreas.

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d504999f6d7ca07e021381af9091b126656cac43